import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/listings/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query
  });
}

export function getShopOptions() {
  return request({
    url: '/api/choice/marketplace_shops/select',
    method: 'GET',
  });
}

export function getDetail(query: any) {
  return request({
    url: '/api/choice/goods/',
    method: 'GET',
    params: query
  });
}

// 导出
export function exportData(query: any) {
  return request({
    url: apiPrefix + 'export_data/',
    method: 'GET',
    params: query,
    responseType: 'blob'
  });
}
